<?php

namespace BusinessClass;

/**
 * Définit une question qui propose d'écrire du texte en guise de réponse
 */
class TextQuestion extends Question
{
    /**
     * Permet de définir la manière dont la question doit s'afficher en HTML.
     *
     * @return string
     */
    public function printStrategy(): string
    {
        $content = $this->getContent();
        $id = $this->getId();

        return "\t\t\t<div class='question'>
                <label><strong>$content</strong></label>
                <br><input data-id='$id' type='text' name='answers[]' />
            </div><br>\n";
    }
}
